Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.acl
Class CachingRealm.CaseInsensitiveUserInfo

    java.lang.Object
      |
      +--weblogic.security.acl.CachingRealm.CaseInsensitiveUserInfo

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the Pluggable Security Infrastructure.

protected static class CachingRealm.CaseInsensitiveUserInfo
extends java.lang.Object
implements UserInfo

This class is intended for use if the auth cache is not case-sensitive.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Method Summary
`boolean` | `equals(java.lang.Object obj)` Deprecated. This method will return true if the other object is a matching CaseSensitiveUserInfo object, or if it is a UserInfo object that matches the UserInfo object wrapped inside this object.
`java.lang.String` | `getName()` Deprecated.
`java.lang.String` | `getRealmName()` Deprecated.
`int` | `hashCode()` Deprecated.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hashCode

    public int hashCode()

  Deprecated.

  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object obj)

  Deprecated.
  This method will return true if the other object is a matching CaseSensitiveUserInfo object, or if it is a UserInfo object that matches the UserInfo object wrapped inside this object.

  Overrides:
    equals in class java.lang.Object

### getName

    public java.lang.String getName()

  Deprecated.
  Specified by:
    getName in interface UserInfo

### getRealmName

    public java.lang.String getRealmName()

  Deprecated.
  Specified by:
    getRealmName in interface UserInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD